Summary:	Standard terminal emulator for the X window system
Name:		xterm
Version:	300
%define subrel	1
Release:	%mkrel 1
Source0:	ftp://invisible-island.net/xterm/%{name}-%{version}.tgz
Source1:	ftp://invisible-island.net/xterm/%{name}-%{version}.tgz.asc

# from http://www.vim.org/scripts/script.php?script_id=1349, public domain
Source20:	colortest.pl
Patch0:		xterm-Soption.patch

Url:		http://invisible-island.net/xterm/
License:	MIT
Group:		Terminals
BuildRequires:	libx11-devel
BuildRequires:	libxaw-devel
BuildRequires:	libxft-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxt-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libncurses-devel
BuildRequires:	luit
Requires: luit
Requires(post,postun):	update-alternatives

%description
The XTerm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), xterm will use the facilities to notify programs
running in the window whenever it is resized.

The xterm included in this package has support for 256 colors enabled.

%prep
%setup -q
%patch0 -p1 -b .Soption
cp %{SOURCE20} .

%build
%configure2_5x \
   --disable-full-tgetent \
   --enable-wide-chars \
   --x-includes=%{_includedir}/freetype2 \
   --enable-luit \
   --enable-256-color \
   --with-app-defaults=%{_libdir}/X11/app-defaults \
   --with-icon-theme=hicolor \
   --with-icondir=%{_datadir}/icons

%make

%install
make DESTDIR=%{buildroot} install

# NOTE: encodingMode: locale means to follow the charset encoding of the
# locale. A quite complete unicode font is set as the default (instead of the
# very poor "fixed" one). a quick cat is used instead of patching the sources;
# it shoulmd be made the default imho
# locale: true means to use luit to convert locale encoding to unicode
# for display.
# luit support is needed for it to work -- pablo
cat << EOF >> %{buildroot}%{_libdir}/X11/app-defaults/XTerm

*.vt100.font: -misc-fixed-medium-r-normal--15-140-75-75-c-90-iso10646-1
*.vt100.encodingMode: locale
*.locale: true
*.PtyInitialErase: on
*.backarrowKeyIsErase: on
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=XTerm
GenericName=Terminal
Comment=%{summary}
Exec=%{name} -name Terminal
Icon=xterm-color
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;System;Utility;
EOF

for xpm in *xterm{-color_32x32,-color_48x48,_32x32,_48x48}.xpm; do
	rm -f %{buildroot}%{_datadir}/pixmaps/$xpm
done

%post
update-alternatives --install %{_bindir}/xvt xvt %{_bindir}/xterm 18 || :

%postun
[[ "$1" = "0" ]] && update-alternatives --remove xvt %{_bindir}/xterm || :

%files
%doc ctlseqs.txt colortest.pl
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/X11/app-defaults/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/xterm-*.*


%changelog
* Thu Apr 09 2015 luigiwalser <luigiwalser> 300-1.1.mga4
+ Revision: 820020
- add patch from fedora to fix buffer overflow in S option (bdo#779397)

* Wed Dec 11 2013 luigiwalser <luigiwalser> 300-1.mga4
+ Revision: 556224
- 300

* Sat Oct 19 2013 umeabot <umeabot> 297-2.mga4
+ Revision: 534387
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 luigiwalser <luigiwalser> 297-1.mga4
+ Revision: 477593
- 297

* Fri Jul 12 2013 luigiwalser <luigiwalser> 296-1.mga4
+ Revision: 453226
- 296

* Sun Jul 07 2013 luigiwalser <luigiwalser> 295-1.mga4
+ Revision: 450858
- 295

* Sat Jul 06 2013 luigiwalser <luigiwalser> 294-1.mga4
+ Revision: 450785
- 294

* Thu May 30 2013 dams <dams> 293-1.mga4
+ Revision: 432927
- new version 293

* Thu May 23 2013 dams <dams> 292-1.mga4
+ Revision: 425047
- new version 292

* Fri May 10 2013 luigiwalser <luigiwalser> 291-2.mga3
+ Revision: 412881
- fix comment line in desktop file (mga#10050)

* Wed Feb 27 2013 luigiwalser <luigiwalser> 291-1.mga3
+ Revision: 400548
- 291

* Thu Feb 14 2013 luigiwalser <luigiwalser> 290-1.mga3
+ Revision: 398374
- 290

* Tue Feb 12 2013 luigiwalser <luigiwalser> 289-1.mga3
+ Revision: 397944
- 289

* Mon Jan 14 2013 dams <dams> 288-1.mga3
+ Revision: 387891
- new version 288

* Mon Jan 14 2013 umeabot <umeabot> 287-2.mga3
+ Revision: 387449
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 fwang <fwang> 287-1.mga3
+ Revision: 322553
- new version 287

* Mon Nov 05 2012 dams <dams> 286-1.mga3
+ Revision: 314476
- new version 286
- install icon to hicolor theme and use it in desktop file

* Sat Sep 29 2012 fwang <fwang> 282-1.mga3
+ Revision: 299998
- new version 282

* Tue Jul 03 2012 dams <dams> 281-1.mga3
+ Revision: 266958
- new version 281

* Mon Jun 25 2012 dams <dams> 279-1.mga3
+ Revision: 263616
- new version 279

* Sat Mar 03 2012 dams <dams> 278-1.mga2
+ Revision: 217081
- new version 278
- clean spec file

* Mon Oct 31 2011 fwang <fwang> 276-1.mga2
+ Revision: 160287
- new version 276

* Fri Sep 23 2011 boklm <boklm> 275-1.mga2
+ Revision: 147140
- version 275

* Tue Sep 06 2011 tv <tv> 274-1.mga2
+ Revision: 139752
- new release
- new release

* Wed Apr 27 2011 wally <wally> 269-3.mga1
+ Revision: 92057
- fix desktop file name (mga#954)
- drop buildroot definition

* Thu Apr 14 2011 pterjan <pterjan> 269-2.mga1
+ Revision: 84817
- Re-upload after upload bug

* Wed Apr 13 2011 tv <tv> 269-1.mga1
+ Revision: 84687
- new release

* Thu Jan 20 2011 pterjan <pterjan> 267-1.mga1
+ Revision: 26636
- Drop old stuff
- imported package xterm

